<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwConfigs: Original Value Config Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwOriginalConfig.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      <p>This panel is used to set up the original value configuration for
        one or many data point elements. If the panel is used for just one data
        point
        element at a time, the panel shows the
        current original value of the data point element when loaded.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><p>When configuring the original value configuration for
          a data point element (or elements) you should first choose exactly
          what you want to set. You can choose to set any (or any combination
          of) the following things:</p>
        <p>1) The original value itself<br>2) The Active and Invalid bits<br>3) The User bits</p>
        <p>You can choose what to set, by checking the relevant check box. If
          a check box is checked, then the corresponding settings will be written
          when you press OK or Apply. If the check box is unchecked, those settings
          on the data point elements will remain untouched when you press OK
          or Apply</p>
        <p>If you want to set an original value, type it in the text field. For
          &lt;dyn_var&gt; types, you will need to build or edit the list using the
          buttons provided to the right of the original value display.</p>
        <p>To choose the state of the Active, Invalid or User Bits, simply press
          on the buttons. If they are dark grey, this means that bit is active
          (1), else if they are default light grey the bit is inactive (0).</p>
        <p>Once the settings are as you require, press OK or Apply to save the
          configuration.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2"><p>The options that are available  depends on the type
          of the data point elements. The panel does not, for example, allow
          any settings on Structure data point elements which have no original
          value.</p>
        <p>If you load the panel for a collection of data point elements, some
          of which are of &lt;var&gt; and some which are &lt;dyn_var&gt;, the
          panel will show only the options that can be applied to all the current
          elements.
          So,
          for
          example,
          if
          the
          panel
          is used
          to
          configure
          a float element and a dyn_float element, the original value
          will not be able to be configured because it does not make sense to
          write the same value to these two data point element. You can still
          set the Active, Invalid and User Bits if you require. You can press
          the
          &quot;Select Elements&quot; buttons to choose which data point elements
          to configure from the list that was passed to the panel.</p></td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="647" height="443" border="0" align="center">
  <tbody>
    <tr>
      <td>
        <div align="center">
			<img
 src="fwOriginalConfig.jpg" alt="Panel screenshot" width="646" height="442" style="width: 647px; height: 443px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>$sDpe</td>
      <td><p>The name of the data point element(s) to configure.</p>
        <p>If you wish to use the panel for multiple data point elements, you
          should pass a list in the same format as the PVSS dyn_string, i.e.dpe1
          | dpe2 | dpe3<br>
        </p></td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$bHierarchyBrowser</td>
      <td><p>Controls the position and visibility of the OK, Apply and Cancel
          buttons.</p>
      <p>TRUE - Shows Apply button only.<br>
      FALSE - Shows OK, Apply and Cancel button.</p></td>
      <td>Required<br>
      </td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
